Bug 521281 - Fix instances of #!/usr/bin/env python in rhn-client-tools
Summary: Fix instances of #!/usr/bin/env python in rhn-client-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-04 16:10 UTC by James G. Brown III
Modified: 2018-10-27 16:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:44:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0270 normal SHIPPED_LIVE rhn-client-tools bug fix and enhancement update 2010-03-29 15:02:35 UTC

Description James G. Brown III 2009-09-04 16:10:18 UTC
"There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state that this
is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on a
package-by-package basis to address the problem.

In this case, rhn-client-tools in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python"

Comment 2 Miroslav Suchý 2009-10-30 21:42:01 UTC
In upstream it has been already removed. In RHEL it it is only on one place remaining:
 src/up2date_client/rhn_fcntl.py
which in non executable module. Therefore I completly removed the first line with shebang.
Revision 188328

Comment 9 errata-xmlrpc 2010-03-30 08:44:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0270.html


Note You need to log in before you can comment on or make changes to this bug.